Subject: [tsvwg] SCTP NAT

From: Timo Völker <[email-masked]>
Date: Fri, 25 Mar 2022 12:33:25 +0000

Hi,

the last slide in

https://datatracker.ietf.org/meeting/113/materials/slides-113-tsvwg-31-sctp-nat-support-00

presents possible ways to proceed with draft-ietf-tsvwg-natsupp.

Given the long time this draft exists, it seems to me that

* there is not much interest in a solution -> we should avoid creating a solution that is more complex (1), which could reduce the acceptance. 
* there is not no interest in a solution -> we should not just stop working on the draft (3, 4)

Therefore option 2 seems to me a good way to proceed. However, I’m not sure if I see all the drawbacks that come with this simpler solution. What I see is

* It is more likely to have a (port number) collision (which seems to me no dead end if the NAT reports this to the client).
* By adding the remote address to the NAT binding, we will have one entry for each address of a multihomed external host.

Looks OK to me so far. What do I miss?

Timo